Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:    	digital audio workstation 	
Name:      	ardour2
Version:   	2.5
Release:   	1
Provides:	ardour
License: 	GNU/GPL
URL:		http://ardour.org
Group:     	Multimedia	
Source0: 	ardour-%{version}.tar.bz2
Source1:        ardour2.desktop
Source2:        ardour2.png
# Gottis patch saves the day ! (revised for 2.2)
Patch0:		ardour-2.2-build.patch
# fix missing memcpy with cstring include
Patch1:		ardour2-gcc43.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  libart_lgpl-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  atk-devel
BuildRequires:  aubio-devel
BuildRequires:  gtkmm-devel
BuildRequires:  glibc-devel
BuildRequires:  cairo-devel
BuildRequires:  gdk-pixbuf-devel
BuildRequires:  glib-devel
BuildRequires:  libgnomecanvas-devel
BuildRequires:  gtk2+-devel
BuildRequires:  jack-audio-connection-kit-devel
BuildRequires:  liblo-devel
BuildRequires:  liblrdf-devel
BuildRequires:  pango-devel
BuildRequires:  raptor-devel
BuildRequires:  libsamplerate-devel
BuildRequires:  libsigc++-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libusb-devel
BuildRequires:  libxml2-devel
BuildRequires:  libxslt-devel
BuildRequires:  zlib-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1


%description
Ardour2 is a digital audio workstation. You can use it to record, edit and mix multi-track audio. Produce your own CD's. Mix video soundtracks. Experiment with new ideas about music and sound. Generate sound installations for 12 speaker gallery shows.

Ardour2 capabilities include: multichannel recording, non-linear, non-destructive region based editing with unlimited undo/redo, full automation support, a mixer whose capabilities rival high end hardware consoles, lots of plugins to warp, shift and shape your music, and controllable from hardware control surfaces at the same time as it syncs to timecode. If you've been looking for a tool similar to ProTools, Nuendo, Cubase SX, Digital Performer, Samplitude or Sequoia, you might have found it.

Ardour2 is the gtk2 port of Ardour. Apart from the shift to gtk2 it provides Control Surface Architecture, OSC Support, Redone Soundfile Browser/Importer, Saved Undo, UI revamped to better expose functionality: new toolbar, better menus, Destructive Recording and 64-bit soundformats: WAV64, CAF


%post
ldconfig


%preun

%postun
ldconfig


%prep
%setup -n ardour-%{version}
%patch0 -p1
%patch1 -p1

%build
scons PREFIX=%_prefix

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
scons install PREFIX=%_prefix DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
install -m 644 %{SOURCE2}  $RPM_BUILD_ROOT/usr/share/pixmaps/

mkdir -p $RPM_BUILD_ROOT/usr/share/applications
install -m 644 %{SOURCE1}  $RPM_BUILD_ROOT/usr/share/applications/


%files
%defattr(-,root,root)
%_sysconfdir
%_bindir
%_libdir
%_datadir/applications
%_datadir/pixmaps
%_datadir/ardour2
%_datadir/locale

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jul 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.5-1
- Version update
* Fri Apr 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.4.1-1
- Version update
* Sat Jan 26 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.2-1
- Version update
* Wed Oct 03 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.1-1
- Version update
* Sun Apr 29 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0rc1-1
- Version update
* Thu Sep 28 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.0alpha2-1
- Initial Release
